%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name openshift-origin-dns-nsupdate
%global rubyabi 1.9.1

Summary:       OpenShift plugin for DNS update service using nsupdate
Name:          rubygem-%{gem_name}
Version:       1.15.1.2
Release:       1%{?dist}
Group:         Development/Languages
License:       ASL 2.0
URL:           http://www.openshift.com
Source0:       http://mirror.openshift.com/pub/openshift-origin/source/rubygem-%{gem_name}/%{gem_name}-%{version}.gem
%if 0%{?fedora} >= 19
Requires:      ruby(release)
%else
Requires:      %{?scl:%scl_prefix}ruby(abi) >= %{rubyabi}
%endif
Requires:      %{?scl:%scl_prefix}rubygems
Requires:      %{?scl:%scl_prefix}rubygem(json)
Requires:      rubygem(openshift-origin-common)
Requires:      bind-utils
# GSS-API requires kinit
Requires:      krb5-workstation
Requires:      openshift-origin-broker
%if 0%{?fedora} >= 19
BuildRequires: ruby(release)
%else
BuildRequires: %{?scl:%scl_prefix}ruby(abi) >= %{rubyabi}
%endif
BuildRequires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}rubygems-devel
BuildArch:     noarch
Provides:      rubygem(%{gem_name}) = %version

%description
Provides a DNS service update plugin using nsupdate

%package doc
Summary:   Documentation for %{name}
Group:     Documentation
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %scl "}
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:"}

%build
%{?scl:scl enable %scl - << \EOF}
mkdir -p ./%{gem_dir}
gem build %{gem_name}.gemspec
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --bindir ./%{_bindir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

%files
%doc LICENSE COPYRIGHT
%{gem_instdir}
%{gem_spec}
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}

%changelog
* Fri Dec 06 2013 Krishna Raman <kraman@gmail.com> 1.15.1.2-1
- Bumping versions for OpenShift Origin Release 3 (kraman@gmail.com)

* Wed Dec 04 2013 Krishna Raman <kraman@gmail.com> 1.15.1.1-1
- 

* Fri Sep 13 2013 Troy Dawson <tdawson@redhat.com> 1.15.1-1
- Bump up version (tdawson@redhat.com)
- Merge pull request #3585 from Miciah/plugins-dns-nsupdate-delete-duplicate-
  kinit-command (dmcphers+openshiftbot@redhat.com)
- plugins/dns/nsupdate: Delete duplicate kinit (miciah.masters@gmail.com)
- plugins/dns/nsupdate: Support unauthenticated use (miciah.masters@gmail.com)
- plugins/dns/nsupdate: Specify zone (miciah.masters@gmail.com)

* Thu Aug 01 2013 Troy Dawson <tdawson@redhat.com> 1.10.2.1-2
- Created doc package
- exclude gem_cache

* Thu Aug 01 2013 Krishna Raman <kraman@gmail.com> 1.10.2.1-1
- Bumping version #s for origin release 2 (kraman@gmail.com)

* Tue Jun 11 2013 Troy Dawson <tdawson@redhat.com> 1.10.2-1
- Fixing syntax error in the nsupdate plugin (bleanhar@redhat.com)
- added alternate TSIG key algorithms (mlamouri@redhat.com)
- Combine changes for BZ955602 and BZ655643 (dns-nsupdate config and
  exceptions) (mlamouri@redhat.com)
- Bug 928675 (asari.ruby@gmail.com)

* Tue Jun 11 2013 Troy Dawson <tdawson@redhat.com> 1.10.1-1
- Bump up version to 1.10

* Sat Apr 13 2013 Krishna Raman <kraman@gmail.com> 1.5.2-1
- Fixing broker and nsupdate plugin deps (bleanhar@redhat.com)
- The nsupdate plugin was calling a method that didn't exist (kraman@gmail.com)
- The nsupdate plugin was calling a method that didn't exist
  (bleanhar@redhat.com)
- Fix typo in dns plugin initializer (kraman@gmail.com)
- Fixing krb workstation dependency (kraman@gmail.com)
- added krb5 features (markllama@gmail.com)
- Updating rest-client and rake gem versions to match F18 (kraman@gmail.com)
- Make packages build/install on F19+ (tdawson@redhat.com)

* Tue Mar 12 2013 Troy Dawson <tdawson@redhat.com> 1.5.1-1
- Add yard documentation markup to DNS plugins (mlamouri@redhat.com)
- fix rubygem sources (tdawson@redhat.com)
- Fixes for ruby193 (john@ibiblio.org)
- change %%define to %%global (tdawson@redhat.com)

* Tue Mar 12 2013 Troy Dawson <tdawson@redhat.com> 1.5.0-1
- Update to version 1.5.0

* Wed Feb 06 2013 Adam Miller <admiller@redhat.com> 0.0.3-1
- remove BuildRoot: (tdawson@redhat.com)
- make Source line uniform among all spec files (tdawson@redhat.com)

* Tue Jan 29 2013 Adam Miller <admiller@redhat.com> 0.0.2-1
- 875575 (dmcphers@redhat.com)

* Fri Jan 25 2013 Krishna Raman <kraman@gmail.com> 0.0.1-1
- new package built with tito

